Skip to main content
GET
/
storefront
/
returns
/
{id}
Get My Return
curl --request GET \
  --url https://api.headlesscommerce.io/v1/storefront/returns/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Customer-Token: <api-key>'
{
  "id": "<string>",
  "order_id": "<string>",
  "customer_id": "<string>",
  "return_type": "refund",
  "status": "requested",
  "reason": "<string>",
  "reason_category": "defective",
  "customer_notes": "<string>",
  "admin_notes": "<string>",
  "lines": [
    {
      "id": "<string>",
      "order_line_id": "<string>",
      "quantity": 123,
      "reason": "<string>",
      "condition": "<string>",
      "exchange_variant_id": "<string>"
    }
  ],
  "refund": {
    "id": "<string>",
    "order_id": "<string>",
    "amount": {
      "amount": 123,
      "currency": "<string>"
    },
    "reason": "<string>",
    "restock": true,
    "status": "pending",
    "lines": [
      {
        "order_line_id": "<string>",
        "quantity": 123
      }
    ],
    "created_at": "2023-11-07T05:31:56Z"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

X-Customer-Token
string
header
required

Storefront customer authentication token. Issued via POST /admin/customers/{id}/token. Required for accessing /storefront/customers/, /storefront/orders/.

Path Parameters

id
string
required

Resource ID

Response

200 - application/json

Success

id
string
order_id
string
customer_id
string
return_type
enum<string>
Available options:
refund,
exchange
status
enum<string>
Available options:
requested,
approved,
rejected,
received,
completed,
cancelled
reason
string
reason_category
enum<string>
Available options:
defective,
wrong_item,
changed_mind,
damaged,
other
customer_notes
string
admin_notes
string
lines
object[]
refund
object
created_at
string<date-time>
updated_at
string<date-time>